import request from '@/utils/request'

// 获取代理列表
export function getList(data) {
  return request({
    url: '/user/getuserlist',
    method: 'get',
    params: data
  })
}

// 修改手机好
export function editTel(data) {
  return request({
    url: '/user/updatemobile',
    method: 'post',
    data
  })
}

// 添加代理
export function addMember(data) {
  return request({
    url: '/user/uploaduser',
    method: 'post',
    data
  })
}

// 删除代理
export function deleteMember(data) {
  return request({
    url: '/user/destoryuser',
    method: 'post',
    data
  })
}

// 禁用启用
export function changeStatus(data) {
  return request({
    url: '/user/shelveduser',
    method: 'post',
    data
  })
}

// 变更邀请人
export function editShare(data) {
  return request({
    url: '/user/updaterecom',
    method: 'post',
    data
  })
}

// 变更等级
export function editLevel(data) {
  return request({
    url: '/user/updateagentlevel',
    method: 'post',
    data
  })
}

// 查看皇冠库存
export function getStock(data) {
  return request({
    url: '/user/getagentgoodsnum',
    method: 'get',
    params: data
  })
}

// 获取战区列表
export function getWarList() {
  return request({
    url: '/warea/getwarealistinfos',
    method: 'get'
  })
}

// 皇冠选择战区
export function crownWar(data) {
  return request({
    url: '/user/crownselectwarea',
    method: 'post',
    data
  })
}

// 修改重置密码
export function setPwd(data) {
  return request({
    url: '/user/editagentpassword',
    method: 'post',
    data
  })
}

// 导出
export function exportMember(data) {
  return request({
    url: '/user/exportuserlist',
    method: 'get',
    params: data
  })
}

// 导出
export function updateInfo(data) {
  return request({
    url: '/user/update_user',
    method: 'post',
    data
  })
}
